3D novice

Discussion in 'AutoCAD' started by Tilo Gockel, Sep 1, 2004.

  1. Tilo Gockel

    Tilo Gockel Guest

    Dear colleagues,

    being a novice in Volumetric 3D design using autocad, I have a
    question:

    In a complex scene, I have difficulties picking objects in 3D (always
    picking the wrong one) and I am asking myself: would it be a good idea
    to have every single volumetric object on an own layer? (to be able to
    switch the unused objects on/off)?

    Is this a common practise or are there more elegant workarounds?

    Any help welcome,

    ciao

    Tilo
     
    Tilo Gockel, Sep 1, 2004
    #1
  2. Tilo Gockel

    Paul Turvill Guest

    It could be done that way, but it's more common to group *similar* objects
    on layers, rather than creating a separate layer for *every* object.
    ___
     
    Paul Turvill, Sep 1, 2004
    #2
  3. ....and I'd add that maintaining multiple viewports, each looking at the
    model from a different angle, can really simplify object selection in 3d.
    Look into the VPORTS command.
     
    Michael Bulatovich, Sep 1, 2004
    #3
  4. You can hold down CTRL and click to cycle through the objects
    close together, one after the other, until the one you want is
    highlighted. Press ENTER to turn off cycling.

    Juergen
     
    Jürgen Palme, Sep 1, 2004
    #4
  5. Tilo Gockel

    Smiley Guest

    In a complex scene, I have difficulties picking objects in 3D (always
    Someone else suggested the multiple viewports. I don't use them
    myself, but prefer to do it using a combination of techniques. This
    includes using the Orbit command to change my view so that I can
    select the object I want. I also try to create a reasonable number of
    layers so that I can turn off some of the stuff. There is an express
    tools that allows you to select an object to turn that layer off... I
    use this a lot. I've also created custom button macros which will
    freeeze all layers, except the current one. Another to turn everything
    back on, and another which will freeze just layers with the word DIM
    in them, because I name all the layers having dimensions that way.

    However, there are inconsistancies with AutoCAD in working with
    hidden views. If you use the version that works when you use ORBIT,
    and you try to select or snap to an object, you will also snap and
    select hidden invisible objects. The older version of HIDE (from the
    command line) will not behave this way. (but you loose the ability to
    dynamically zoom and pan). The additional complexity is that when you
    use ORBIT's hide, it sets a variable that must be reset before the old
    HIDE command will work properly. You would type HIDEMODE and set it
    to 2D to do this. I've created macro buttons to do this as well.

    Joe Dunfee
     
    Smiley, Sep 2, 2004
    #5
  6. That was me.
    Can you do that transparently, say in a from-point/to-point sitch?
     
    Michael Bulatovich, Sep 2, 2004
    #6
  7. Tilo Gockel

    Smiley Guest

    I do use it transparently for my own work. However, it would not
    surprise me if there were some commands which would not allow this.
    Also, I was always a little nervous about the orbit command because it
    had about a 5% chance of crashing my AutoCAD 2002. If I hadn't saved
    within the prior few minutes, I would not use it transparently, but
    rather cancel the command I was in, save, then start the command I was
    in over again.

    On a separate note, because we recently hired a new guy fresh out of
    school, we needed to purchase a new station of AutoCAD 2002. We
    wanted to try the $99 LT Extendor program to see if it would really
    work reliably. (this program enables AutoCAD LT to have many of the
    commands available in the full version of AutoCAD) But, since I didn't
    want a new guy to have to deal with bugs, I gave the new guy the full
    version I had, and I got the LT version.

    In a month of usage, I've never crashed AutoCAD LT (with LT
    extendor). Furthermore, the new guy with the full AutoCAD has only
    had one or two crashes. So, either his work style avoids the bugs I
    ran into, or his operating system is making the difference (I have Win
    2000, and he has XP).

    Joe Dunfee
     
    Smiley, Sep 3, 2004
    #7
  8. From what little I've seen ORBIT is a resource hog, especially when shading.
    (Wonderful extension of acad's 3d capability tho.)

    Who makes the "Extendor"?
     
    Michael Bulatovich, Sep 3, 2004
    #8
  9. Tilo Gockel

    Bill Gilliss Guest

    I love SketchUp's use of the middle mouse button as an immediate,
    transparent orbit tool. Since I use the middle button in AutoCAD for the
    OSNAP pop-up menu, I modified the acad.mnu file to use Ctrl-middle
    button as a shortcut to 3DORBIT. The relevant section is


    ***AUX3
    // Control + button
    $P0=SNAP $p0=*
    '3dorbit


    where the ' before the command makes it transparent.

    I, too, have occasional crashes with ADT 2004 and 3DORBIT, especially
    with larger models.

    -Bill

    ========
     
    Bill Gilliss, Sep 4, 2004
    #9
  10. Tilo Gockel

    Smiley Guest

    Who makes the "Extendor"?

    I've been using this $99 add-on with AutoCAD LT 2002, and been VERY
    impressed. Later versions of AutoCAD LT broke the method LT Extendor
    used for a lot of things, but they are currently working on adding
    them via other means (i.e. a LISP interpreter)

    http://www.lt-extender.com

    Joe Dunfee
     
    Smiley, Sep 8, 2004
    #10
  11. Thanks, mate.

     
    Michael Bulatovich, Sep 9, 2004
    #11
  12. Tilo Gockel

    me Guest

    Just found this to "hide" and "undohide" objects, not the whole layer.
    It gets unwanted objects out of the way so you can work on objects
    behind. And undohide works even after a save. Here it is:

    (defun C:pOOF (/ ent) ; makes selected object invisible
    (setq ent (entget (car (entsel))))
    (if (assoc 60 ent)
    (setq ent (subst '(60 . 1) (assoc 60 ent) ent))
    (setq ent (append ent '((60 . 1)))))
    (entmod ent)
    (princ)
    )

    (defun C:UNPOOF (/ ss n ent) ; makes invisible objects visible
    (setq ss (ssget "x" '((60 . 1)))
    n (1- (sslength ss)))
    (while (>= n 0)
    (setq ent (entget (ssname ss n))
    ent (subst '(60 . 0) (assoc 60 ent) ent)
    n (1- n))
    (entmod ent))
    (princ)
    )



    I've tested it some but let me know if there are any linitatations to
    it.
     
    me, Nov 7, 2004
    #12
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.